// rockwall
textures/mc-oa-dm01/mcoa01_rocks_4
{
	q3map_nonplanar
	q3map_shadeangle 120
	qer_editorimage textures/mc-oa-dm01/mcoa01_rocks_4_phong.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mc-oa-dm01/mcoa01_rocks_4.tga
		blendFunc filter
	}
}

// grass
textures/mc-oa-dm01/mcoa01_veg004
{
	q3map_nonplanar
	q3map_shadeangle 90
	qer_editorimage textures/mc-oa-dm01/mcoa01_veg004_phong.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mc-oa-dm01/mcoa01_veg004.tga
		blendFunc filter
	}
}


// sky
textures/mc-oa-dm01/mcoa01_sky_dragonheart
{
	qer_editorimage textures/kothic_skies/dragonheart.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 111
	q3map_sun 1 0.6 0.6 110 290 70
	skyparms env/dragonheart/dragonheart - -
}

//**********************************************************************//
//	Author : Nunuk							//
//	Date   : 11th August 2001					//
//	Email  : nunuk@planetquake.com					//
//	URL    : http://www.planetquake.com/nunuk/			//
//**********************************************************************//

textures/mc-oa-dm01/mcoa01_nunuktelep
{
	surfaceparm trans
  surfaceparm nolightmap
	surfaceparm nonsolid
	cull twosided
	{
    map textures/mc-oa-dm01/mcoa01_nunuktelep.tga
    blendfunc add
    tcmod rotate 200
    rgbGen identity
	}
  {
    map textures/mc-oa-dm01/mcoa01_nunuktelep2.tga
    blendfunc add
    tcmod rotate -200
    rgbGen identity  
  }
}

textures/mc-oa-dm01/mcoa01_jumppad1
{
	qer_editorimage textures/egyptsoc_floor/jumppad1ar.tga
	q3map_lightimage textures/egyptsoc_floor/jumppad1r.blend.tga	
	q3map_surfacelight 400
	{
		clampmap textures/mc-oa-dm01/mcoa01_jumppad-ring-blue.tga
		blendfunc ADD
		tcMod stretch sin 0.95 .7 0 1.25
		rgbGen wave square .5 .5 .25 1.25
		rgbgen identity
	}
	{
		map textures/egyptsoc_floor/jumppad1ar.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
	{
		map textures/egyptsoc_floor/jumppad1r.blend.tga
		blendfunc ADD
		rgbgen wave sin .8 .2 0 1
	}
}

textures/sfx/beam
{
  surfaceparm trans	
  surfaceparm nomarks	
  surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	
	{
    map textures/sfx/beam.tga
    tcMod Scroll .3 0
    blendFunc add
  }
     
}
